org.eclipse.actf.util.vocab

## Interface IProposition

All Known Subinterfaces:
  IOperator, IOperator1

    public interface IProposition

IProposition interface the methods to be implemented by the representation of a proposition. It returns true or false in evaluating.

### Method Summary

Methods
`boolean` `eval(IEvalTarget target)`
`String` `getName()`

### Method Detail

#### getName

    String getName()

Returns:
  the name of the proposition.

#### eval

    boolean eval(IEvalTarget target)

Parameters:
  `target` - the target to be evaluated.
Returns:
  whether the target is matched with the proposition.